From: Chris Lamb <lamby@debian.org>
Date: Tue, 2 Nov 2021 13:29:20 -0400
Subject: Make the build reproducible

Last-Update: 2021-11-03
---
 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index a46dc4d..976b1ff 100644
--- a/configure.ac
+++ b/configure.ac
@@ -30,7 +30,7 @@ m4_define([pad_abi_revision],
           [m4_eval(100 * pad_minor_version + pad_micro_version)])
 m4_define([pad_abi_age], [0])
 m4_define(pad_maybe_datestamp,
-    m4_esyscmd([if test x]pad_released[ != x1; then date +.%Y%m%d | tr -d '\n\r'; fi]))
+    m4_esyscmd([if test x]pad_released[ != x1; then date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" '+.%Y%m%d' | tr -d '\n\r'; fi]))
 
 m4_define([pad_version],
     pad_major_version.pad_minor_version.pad_micro_version[]pad_maybe_datestamp)
@@ -77,7 +77,7 @@ IT_PROG_INTLTOOL([0.35.0])
 
 dnl - For dislpay Date
 m4_define(pad_datedisplay,
-    m4_esyscmd(date '+%a %b %d %Y' | tr -d '\n\r'))
+    m4_esyscmd(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" '+%a %b %d %Y' | tr -d '\n\r'))
 DATE_DISPLAY="pad_datedisplay"
 AC_SUBST(DATE_DISPLAY)
 
